*
      PROGRAM TCZ_HEEVZ
*
*          PZHEEV2(EV4, EV6)
*
      include 'mpif.h'
*
*  
      INTEGER            N, NPROW, NPCOL, NB, MEMSIZE, IL, IU
      DOUBLE PRECISION   VL, VU, ABSTOL, ORFAC
**      PARAMETER          ( N=4, NB=2, MEMSIZE=5609)
      PARAMETER          ( N=7, NB=2, MEMSIZE=5693)
*
      COMPLEX*16         AMEM( MEMSIZE )
      CHARACTER*(*)      NAME, UPLO
      CHARACTER          INFILEA*(*), OUTFILE*(*)
      PARAMETER          ( INFILEA = 'heev_7.dat',
*      PARAMETER          ( INFILEA = 'heev_4.dat',
     $                     OUTFILE = 'heevz_7.res')
*
      PARAMETER          ( UPLO = 'U',
**     $                     NAME = 'PZHEEV2')
**     $                     NAME = 'PZHEEV4')
     $                     NAME = 'PZHEEV6')
*
       EXTERNAL CAZ_HEEVZ
*
*  
*
      NPROW = 2
      NPCOL = 2
*
      VL = 0.D0
      VU = 0.D0
      IL = 0
      IU = 0
*
      IF( NAME .NE. 'PZHEEV4' ) GOTO 1
      VL = -1.0D0
      VU =  1.0D0
    1 IF( NAME .NE. 'PZHEEV6' ) GOTO 2
      IL = 1
      IU = 3
**  2    ABSTOL = 2.0D0* PDLAMCH(CTXT,'U')
    2 ABSTOL = 10.0D-10
      ORFAC = 0.D0
*
      CALL CAZ_HEEVZ(NAME, UPLO, N, NPROW, NPCOL, AMEM, MEMSIZE, NB,
     $               VL, VU, IL, IU, ABSTOL, ORFAC, INFILEA, OUTFILE)
*
      STOP
      END
 
